=== debian/changelog ===
mapnik (0.7.0-2ubuntu1) lucid; urgency=low

  * Merge from debian testing (LP: #526070), remaining changes:
    - Bump boost build-dep and libmapnik-dev depends to boost1.40

 -- Christophe Sauthier <christophe.sauthier@objectif-libre.com>  Thu, 18 Mar 2010 01:07:40 +0100

mapnik (0.7.0-2) unstable; urgency=low

  * Fix various FTBFS (Closes: #570865)
  * debian/patches/:
    - 00-fix_amd64_libdir.patch added, install the shared library
      in /usr/lib/ also on amd64.
  * debian/rules:
    - pass -r to xargs when fixing permissions, thanks to KiBi
    - ignore errors during doc generation

 -- David Paleino <dapal@debian.org>  Fri, 26 Feb 2010 23:04:32 +0100

mapnik (0.7.0-1) unstable; urgency=low

  [ Dominic Hargreaves ]
  * Change Maintainer to Debian GIS Project (Closes: #551281)
  * Add Vcs-Git and Vcs-Browser fields to reflect move to a
    public repository

  [ David Paleino ]
  * New upstream release (Closes: #567007)
  * Package converted to 3.0 (quilt) format
  * debian/control:
    - added myself to Uploaders
    - added Debian OSM Team to Uploaders
    - wrapped dependency fields (eases reading diffs in commits)
    - remove duplicate Section in libmapnik0.6
    - Standards-Version bumped to 3.8.4, no changes needed
    - fix Build-Dependencies:
      + bump debhelper version
      + use python-support instead of python-central
      + drop useless dependency on python
      + added scons build-dependency, don't use the embedded one
    - support Python >= 2.5
    - libmapnik0.6 → libmapnik0.7 because of SONAME bump
    - added ${misc:Depends} where missing
  * debian/watch updated to use new url
  * debian/rules:
    - added quilt infrastructure
    - rewritten to use dh7
    - handle multiple Python versions
  * debian/patches/:
    - 01-generate_local_docs.patch added, tell epydoc to generate
      docs from local code, don't look for a system-wide module.
    - 02-fix_FTBFS_binutils-gold.patch added (Closes: #555586)
    - 03-fix_typo.patch added
  * debian/copyright, substitute (C) with © to make lintian happy
  * debian/mapnik-doc.doc-base added
  * debian/libmapnik-dev.dirs added
  * debian/*.1 moved to debian/manpages/
  * debian/compat bumped to 7
  * debian/copyright updated to be DEP-5-compliant

 -- David Paleino <dapal@debian.org>  Sun, 21 Feb 2010 10:30:54 +0100

mapnik (0.6.1-1) unstable; urgency=low

  * New upstream release (closes: #537802, #545887)
  * Add dependency on python-cairo to python-mapnik (closes: #538862)
  * Enable build of kismet plugin
  * Update Standards-Version (no changes)
  * Apply patch from mapnik trunk to fix linking against agg
  * Apply changeset 1340 from mapnik trunk to fix shapefile compiler
    options
  * Switch to unversioned boost
  * Bump Standards-Version (no changes)
  * Adjust versioned dep libmapnik-dev -> libmapnik0.6
  * Change libmapnik-dev from Architecture: all to any to satisfy
    strict versioned dependency requirements
  * Split out API docs and examples into a separate package to avoid
    archive bloat due to above

 -- Dominic Hargreaves <dom@earth.li>  Mon, 19 Oct 2009 23:28:32 +0100

mapnik (0.6.1-0ubuntu5) lucid; urgency=low

  * Bump boost build-dep and libmapnik-dev depends to boost1.40
    - Libicu transition gets done as an added bonus
  * Add debian/patches/find_python_boost.patch to work with boost 1.39 and
    later
    - Patch from upstream http://trac.mapnik.org/changeset/1279

 -- Scott Kitterman <scott@kitterman.com>  Thu, 14 Jan 2010 15:15:25 -0500

mapnik (0.6.1-0ubuntu4) karmic; urgency=low

  * debian/patches/fix_shapefile_issue.patch:
    Fix the shapefile reading issue that was raised by upstream

 -- Christophe Sauthier <christophe.sauthier@objectif-libre.com>  Sat, 17 Oct 2009 00:07:52 +0200

mapnik (0.6.1-0ubuntu3) karmic; urgency=low

  * Revert changes to use /usr/lib64; libraries are not supposed to be
    installed to this directory (which is a symlink to /usr/lib), and the
    debian/mapnik-plugin-base change makes the script unusable on amd64.
  * debian/patches/proper_amd64_lib_dir.patch: ensure files are installed
    to /usr/lib on amd64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 12 Oct 2009 09:21:34 +0000

mapnik (0.6.1-0ubuntu2) karmic; urgency=low

  * Fix the libagg issue.
    - add quilt as a build dependency
    - debian/rules modified to include quilt
    - addition of debian/patches/01_fix_libagg_name.diff

 -- Christophe Sauthier <christophe.sauthier@objectif-libre.com>  Sat, 29 Aug 2009 14:47:44 +0200

mapnik (0.6.1-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * Change usr/lib to usr/lib* to enable build on 64 bits systems due to new
    configuration in SConstruct in :
    - debian/libmapnik-dev.install
    - debian/libmapnik0.6.install
    - debian/mapnik-plugin-base

 -- Christophe Sauthier <christophe.sauthier@objectif-libre.com>  Fri, 28 Aug 2009 01:34:41 +0200

mapnik (0.6.0-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #378819), remaining changes:
    - debian/control:
      + Change bdeps from python2.5-dev to python-all-dev (>= 2.5)
      + Change XS-Python-Version from 2.5 to >= 2.5
    - debian/rules:
      + Various changes to enable python2.5 and python2.6 builds
  * debian/patches/libtool2_2.diff Dropped. Included upsteam.
  * Removed quilt support.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 20 May 2009 15:39:58 -0500

mapnik (0.6.0-1) unstable; urgency=low

  * New upstream release (closes: #522823, #523190)
  * Update debian/build-svn-tarball.sh for next major release
  * Update build-dep from proj to libproj-dev to reflect proj package
    reorganization (closes: #521818)
  * Add explicit configure step in debian/rules
  * Update Standards-Version (no changes)
  * Update build-dep from libltdl3-dev to libltdl-dev to reflect libtool
    changes
  * Changes from Ubuntu:
    - add Homepage control field
    - update python-mapnik install file to be compatible with Python 2.6
      transition

