=== debian/control ===
Source: mapnik
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>,
 David Paleino <dapal@debian.org>
Build-Depends:
 scons,
 python-support (>= 0.90.0~),
 debhelper (>= 7.0.50~),
 python-all-dev,
 libboost-thread1.40-dev,
 libboost-filesystem1.40-dev,
 libboost-regex1.40-dev,
 libboost-python1.40-dev,
 libboost-system1.40-dev,
 libboost-iostreams1.40-dev,
 libboost-program-options1.40-dev,
 libpng12-dev,
 libjpeg62-dev,
 libtiff4-dev,
 zlib1g-dev,
 libfreetype6-dev,
 libpq-dev,
 libproj-dev,
 libltdl-dev,
 libfribidi-dev,
 libgdal1-dev,
 libxml2-dev,
 libagg-dev,
 libicu-dev,
 libcairo2-dev,
 libcairomm-1.0-dev,
 python-cairo-dev,
 libsqlite3-dev,
 libcurl4-gnutls-dev,
 libsigc++-2.0-dev,
 python-epydoc
Standards-Version: 3.8.4
Section: libs
XS-Python-Version: >= 2.5
Homepage: http://www.mapnik.org/
Vcs-Git: git://git.debian.org/pkg-grass/mapnik.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/mapnik.git

Package: libmapnik0.7
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ttf-dejavu
Suggests: postgis
Description: C++/Python toolkit for developing GIS applications (libraries)
 Mapnik is an OpenSource C++/Python toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 High-level Python bindings (boost.python) facilitate rapid application
 development, targeting zope3, django, etc.
 .
 This package contains the shared library and input plugins.

Package: libmapnik-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libmapnik0.7 (= ${binary:Version}),
 libc6-dev | libc-dev,
 libboost-thread1.40-dev,
 libboost-filesystem1.40-dev,
 libboost-regex1.40-dev,
 libboost-python1.40-dev,
 libboost-system1.40-dev,
 libboost-iostreams1.40-dev,
 libpng12-dev,
 libjpeg62-dev,
 libtiff4-dev,
 zlib1g-dev,
 libfreetype6-dev,
 libpq-dev,
 libproj-dev,
 libltdl-dev,
 libfribidi-dev,
 libgdal1-dev,
 libxml2-dev,
 libagg-dev,
 libicu-dev,
 libcairo2-dev,
 libcairomm-1.0-dev,
 python-cairo-dev,
 libsqlite3-dev,
 libcurl4-gnutls-dev,
 libsigc++-2.0-dev
Recommends: mapnik-doc
Description: C++/Python toolkit for developing GIS applications (devel)
 Mapnik is an OpenSource C++/Python toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 High-level Python bindings (boost.python) facilitate rapid application
 development, targeting zope3, django, etc.
 .
 This package contains the development headers, API documentation, and
 build utilities.

Package: mapnik-utils
Section: utils
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: C++/Python toolkit for developing GIS applications (utilities)
 Mapnik is an OpenSource C++/Python toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 High-level Python bindings (boost.python) facilitate rapid application
 development, targeting zope3, django, etc.
 .
 This package contains miscellaneous utilities distributed with mapnik:
 .
 shapeindex: program to creates file system based index for ESRI shape-files

Package: python-mapnik
Section: python
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-cairo
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: C++/Python toolkit for developing GIS applications (Python)
 Mapnik is an OpenSource C++/Python toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 High-level Python bindings (boost.python) facilitate rapid application
 development, targeting zope3, django, etc.
 .
 This package contains the Python bindings.

Package: mapnik-doc
Section: doc
Architecture: all
Recommends: libmapnik-dev
Depends: ${misc:Depends}
Description: C++/Python toolkit for developing GIS applications (doc)
 Mapnik is an OpenSource C++/Python toolkit for developing GIS
 (Geographic Information Systems) applications. At the core is a C++
 shared library providing algorithms/patterns for spatial data access and
 visualization.
 .
 Essentially a collection of geographic objects (map, layer, datasource,
 feature, geometry), the library doesn't rely on "windowing systems" and
 is intended to work in multi-threaded environments
 .
 High-level Python bindings (boost.python) facilitate rapid application
 development, targeting zope3, django, etc.
 .
 This package contains developer documentation.
