=== debian/watch ===
version=3
http://download.berlios.de/mapnik/mapnik-(\d+.*)\.tar\.gz
