## mapnik 0.7.1

=== SConstruct ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # License along with this library; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 #
-# $Id: SConstruct 1539 2010-01-11 01:28:42Z dane $
+# $Id: SConstruct 1728 2010-03-18 22:51:14Z dane $
 
 
 import os
@@ -68,7 +68,75 @@
             name = lib
     return name
 
-if platform.uname()[4] == 'x86_64' and platform.system() == 'Linux':
+DEFAULT_LINK_PRIORITY = ['internal','other','frameworks','user','system']
+
+def sort_paths(items,priority):
+    """Sort paths such that compiling and linking will globally prefer custom or local libs
+    over system libraries by fixing up the order libs are passed to gcc and the linker.
+    
+    Ideally preference could be by-target instead of global, but our SCons implementation
+    is not currently utilizing different SCons build env()'s as we should.
+    
+    Overally the current approach within these scripts is to prepend paths of preference
+    and append all others, but this does not give enough control (particularly due to the
+    approach of assuming /usr/LIBSCHEMA and letting paths be parsed and added by pkg-config).
+    
+    In effect /usr/lib is likely to come before /usr/local/lib which makes linking against
+    custom built icu or boost impossible when those libraries are available in both places.
+    
+    Sorting using a priority list allows this to be controlled, and fine tuned.
+    """
+    
+    new = []
+    path_types = {'internal':[],'other':[],'frameworks':[],'user':[],'system':[]}
+    # parse types of paths into logical/meaningful groups
+    # based on commonly encountered lib directories on linux and osx
+    for i in items:
+        # internal paths for code kept inside
+        # the mapnik sources
+        if i.startswith('#'):
+            path_types['internal'].append(i)
+        # Mac OS X user installed frameworks
+        elif '/Library/Frameworks' in i:
+            path_types['frameworks'].append(i)
+        # various 'local' installs like /usr/local or /opt/local
+        elif 'local' in i or '/sw' in i:
+            path_types['user'].append(i)
+        # key system libs (likely others will fall into 'other')
+        elif '/usr/' in i or '/System' in i or '/lib' in i:
+            path_types['system'].append(i)
+        # anything not yet matched...
+        # likely a combo of rare system lib paths and
+        # very custom user paths that should ideally be
+        # in 'user'
+        else:
+            path_types['other'].append(i)
+    # build up new list based on priority list
+    for path in priority:
+        if path_types.has_key(path):
+            dirs = path_types[path]
+            new.extend(dirs)
+            path_types.pop(path)
+        else:
+            color_print(1,'\nSorry, "%s" is NOT a valid value for option "LINK_PRIORITY": values include: %s' % (path,','.join(path_types.keys())))
+            color_print(1,'\tinternal: the local directory of the Mapnik sources (prefix #) (eg. used to link internal agg)')
+            color_print(1,'\tframeworks: on osx the /Library/Frameworks directory')
+            color_print(1,'\tuser: any path with "local" or "/sw" inside it')
+            color_print(1,'\tsystem: any path not yet matched with "/usr/","/lib", or "/System" (osx) inside it')
+            color_print(1,'\tother: any paths you specified not matched by criteria used to parse the others')
+            color_print(1,'\tother: any paths you specified not matched by criteria used to parse the others')
+            color_print(1,'The Default priority is: %s' % ','.join(DEFAULT_LINK_PRIORITY))
+            color_print(1,'Any priority groups not listed will be appended to the list at the end')
+            Exit(1)
+    # append remaining paths potentially not requested
+    # by any custom priority list defined by user
+    for k,v in path_types.items():
+        new.extend(v)
+    return new
+
+if platform.dist()[0] in ('Ubuntu','debian'):
+    LIBDIR_SCHEMA='lib'
+elif platform.uname()[4] == 'x86_64' and platform.system() == 'Linux':
     LIBDIR_SCHEMA='lib64' 
 elif platform.uname()[4] == 'ppc64':
     LIBDIR_SCHEMA='lib64'
@@ -110,6 +178,8 @@
 
 # local file to hold custom user configuration variables
 SCONS_LOCAL_CONFIG = 'config.py'
+# build log
+SCONS_LOCAL_LOG = 'config.log'
 # local pickled file to cache configured environment
 SCONS_CONFIGURE_CACHE = 'config.cache'
 # directory SCons uses to stash build tests
@@ -158,6 +228,8 @@
     ('CONFIG', "The path to the python file in which to save user configuration options. Currently : '%s'" % SCONS_LOCAL_CONFIG,SCONS_LOCAL_CONFIG),
     BoolVariable('USE_CONFIG', "Use SCons user '%s' file (will also write variables after successful configuration)", 'True'),
     BoolVariable('FAST', "Make scons faster at the cost of less precise dependency tracking", 'False'),
+    BoolVariable('PRIORITIZE_LINKING', 'Sort list of lib and inc directories to ensure preferencial compiling and linking (useful when duplicate libs)', 'True'),
+    ('LINK_PRIORITY','Priority list in which to sort library and include paths (default order is internal, other, frameworks, user, then system - see source of `sort_paths` function for more detail)',','.join(DEFAULT_LINK_PRIORITY)),    
     
     # Install Variables
     ('PREFIX', 'The install path "prefix"', '/usr/local'),
@@ -168,46 +240,3 @@
     # default is '/usr/include', see FindBoost method below
     ('BOOST_INCLUDES', 'Search path for boost include files', '',False),
     # default is '/usr/' + LIBDIR_SCHEMA, see FindBoost method below
-    ('BOOST_LIBS', 'Search path for boost library files', '',False),
-    ('BOOST_TOOLKIT','Specify boost toolkit, e.g., gcc41.','',False),
-    ('BOOST_ABI', 'Specify boost ABI, e.g., d.','',False),
-    ('BOOST_VERSION','Specify boost version, e.g., 1_35.','',False),
-    ('BOOST_PYTHON_LIB','Specify library name or full path to boost_python lib (e.g. "boost_python-py26" or "/usr/lib/libboost_python.dylib")',''),
-    
-    # Variables for required dependencies
-    ('FREETYPE_CONFIG', 'The path to the freetype-config executable.', 'freetype-config'),
-    ('XML2_CONFIG', 'The path to the xml2-config executable.', 'xml2-config'),
-    PathVariable('ICU_INCLUDES', 'Search path for ICU include files', '/usr/include', PathVariable.PathAccept),
-    PathVariable('ICU_LIBS','Search path for ICU include files','/usr/' + LIBDIR_SCHEMA, PathVariable.PathAccept),
-    ('ICU_LIB_NAME', 'The library name for icu (such as icuuc, sicuuc, or icucore)', 'icuuc'),
-    PathVariable('PNG_INCLUDES', 'Search path for libpng include files', '/usr/include', PathVariable.PathAccept),
-    PathVariable('PNG_LIBS','Search path for libpng include files','/usr/' + LIBDIR_SCHEMA, PathVariable.PathAccept),
-    PathVariable('JPEG_INCLUDES', 'Search path for libjpeg include files', '/usr/include', PathVariable.PathAccept),
-    PathVariable('JPEG_LIBS', 'Search path for libjpeg library files', '/usr/' + LIBDIR_SCHEMA, PathVariable.PathAccept),
-    PathVariable('TIFF_INCLUDES', 'Search path for libtiff include files', '/usr/include', PathVariable.PathAccept),
-    PathVariable('TIFF_LIBS', 'Search path for libtiff library files', '/usr/' + LIBDIR_SCHEMA, PathVariable.PathAccept),
-    PathVariable('PROJ_INCLUDES', 'Search path for PROJ.4 include files', '/usr/local/include', PathVariable.PathAccept),
-    PathVariable('PROJ_LIBS', 'Search path for PROJ.4 library files', '/usr/local/' + LIBDIR_SCHEMA, PathVariable.PathAccept),
-    ('PKG_CONFIG_PATH', 'Use this path to point pkg-config to .pc files instead of the PKG_CONFIG_PATH environment setting',''),
-    
-    # Variables affecting rendering back-ends
-    BoolVariable('INTERNAL_LIBAGG', 'Use provided libagg', 'True'),
-    
-    # Variables for optional dependencies
-    # Note: cairo, cairomm, and pycairo all optional but configured automatically through pkg-config
-    # Therefore, we use a single boolean for whether to attempt to build cairo support.
-    BoolVariable('CAIRO', 'Attempt to build with Cairo rendering support', 'True'),
-    ('GDAL_CONFIG', 'The path to the gdal-config executable for finding gdal and ogr details.', 'gdal-config'),
-    ('PG_CONFIG', 'The path to the pg_config executable.', 'pg_config'),
-    PathVariable('OCCI_INCLUDES', 'Search path for OCCI include files', '/usr/lib/oracle/10.2.0.3/client/include', PathVariable.PathAccept),
-    PathVariable('OCCI_LIBS', 'Search path for OCCI library files', '/usr/lib/oracle/10.2.0.3/client/'+ LIBDIR_SCHEMA, PathVariable.PathAccept),
-    PathVariable('SQLITE_INCLUDES', 'Search path for SQLITE include files', '/usr/include/', PathVariable.PathAccept),
-    PathVariable('SQLITE_LIBS', 'Search path for SQLITE library files', '/usr/' + LIBDIR_SCHEMA, PathVariable.PathAccept),
-    
-    # Other variables
-    BoolVariable('SHAPE_MEMORY_MAPPED_FILE', 'Utilize memory-mapped files in Shapefile Plugin (higher memory usage, better performance)', 'True'),
-    ('SYSTEM_FONTS','Provide location for python bindings to register fonts (if given aborts installation of bundled DejaVu fonts)',''),
-    ('LIB_DIR_NAME','Name to use for the "lib" folder where fonts and plugins are installed','/mapnik/'),
-    PathVariable('PYTHON','Full path to Python executable used to build bindings', sys.executable),
-    BoolVariable('FRAMEWORK_PYTHON', 'Link against Framework Python on Mac OS X', 'True'),
-    ('FRAMEWORK_SEARCH_PATH','Custom framework search path on Mac OS X', ''),
