=== debian/changelog ===
mapnik (0.7.1-6) unstable; urgency=low

  * Get rid of obsolete libjpeg62 dependencies.
    (closes: #629970)
  * Added me to Uploaders to avoid inappropriate NMUing.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 25 Jul 2011 14:14:28 +0200

mapnik (0.7.1-5) unstable; urgency=low

  * Correctly trap errors in debian/rules, thanks to Jakub Wilk
    (Closes: #625667)

 -- David Paleino <dapal@debian.org>  Thu, 05 May 2011 09:27:24 +0200

mapnik (0.7.1-4) unstable; urgency=low

  * 04-port_to_new_boost.patch fixes FTBFS with newer Boost::Filesystem,
    backported from upstream, thanks to Dane Springmeyer (Closes: #624934)
  * Standards-Version bump to 3.9.2, no changes needed

 -- David Paleino <dapal@debian.org>  Tue, 03 May 2011 11:04:48 +0200

mapnik (0.7.1-3) unstable; urgency=low

  * Compile using internal copy of libagg. (Closes: #603470)

 -- David Paleino <dapal@debian.org>  Fri, 19 Nov 2010 12:14:44 +0100

mapnik (0.7.1-2) unstable; urgency=low

  * debian/patches/03-fix_ImportError_mips.patch added, fixes
    un-importability on mips{,-el} due to a wrong import. Thanks
    Jakub Wilk (Closes: #599330)

 -- David Paleino <dapal@debian.org>  Sat, 09 Oct 2010 16:25:18 +0200

mapnik (0.7.1-1) unstable; urgency=low

  * New upstream version
  * debian/patches/:
    - 00-fix_amd64_libdir.patch removed, exception for Debian/Ubuntu
      added in upstream code
    - 02-fix_FTBFS_binutils-gold.patch refreshed to apply to the new
      code
    - 03-fix_typo.patch removed, merged upstream

 -- David Paleino <dapal@debian.org>  Tue, 30 Mar 2010 07:28:55 +0200
