=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: mapnik
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>,
- David Paleino <dapal@debian.org>
+ David Paleino <dapal@debian.org>, Francesco Paolo Lovergine <frankie@debian.org>
 Build-Depends:
  scons,
  python-support (>= 0.90.0~),
  debhelper (>= 7.0.50~),
  python-all-dev,
- libboost-thread1.40-dev,
- libboost-filesystem1.40-dev,
- libboost-regex1.40-dev,
- libboost-python1.40-dev,
- libboost-system1.40-dev,
- libboost-iostreams1.40-dev,
- libboost-program-options1.40-dev,
+ libboost-thread-dev,
+ libboost-filesystem-dev,
+ libboost-regex-dev,
+ libboost-python-dev,
+ libboost-system-dev,
+ libboost-iostreams-dev,
+ libboost-program-options-dev,
  libpng12-dev,
- libjpeg62-dev,
+ libjpeg-dev,
  libtiff4-dev,
  zlib1g-dev,
  libfreetype6-dev,
@@ -27,7 +26,6 @@
  libfribidi-dev,
  libgdal1-dev,
  libxml2-dev,
- libagg-dev,
  libicu-dev,
  libcairo2-dev,
  libcairomm-1.0-dev,
@@ -36,7 +34,7 @@
  libcurl4-gnutls-dev,
  libsigc++-2.0-dev,
  python-epydoc
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Section: libs
 XS-Python-Version: >= 2.5
 Homepage: http://www.mapnik.org/
@@ -72,14 +70,14 @@
  ${misc:Depends},
  libmapnik0.7 (= ${binary:Version}),
  libc6-dev | libc-dev,
- libboost-thread1.40-dev,
- libboost-filesystem1.40-dev,
- libboost-regex1.40-dev,
- libboost-python1.40-dev,
- libboost-system1.40-dev,
- libboost-iostreams1.40-dev,
+ libboost-thread-dev,
+ libboost-filesystem-dev,
+ libboost-regex-dev,
+ libboost-python-dev,
+ libboost-system-dev,
+ libboost-iostreams-dev,
  libpng12-dev,
- libjpeg62-dev,
+ libjpeg-dev,
  libtiff4-dev,
  zlib1g-dev,
  libfreetype6-dev,
